Start Bulk Company
curl --request POST \
--url https://api.sixtyfour.ai/v1/bulk-intelligence/company \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form 'file=company_name,domain
Sixtyfour,sixtyfour.ai
' \
--form 'config={"struct":{"industry":"Industry"},"tier":"low"}'import requests
url = "https://api.sixtyfour.ai/v1/bulk-intelligence/company"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', 'company_name,domain
Sixtyfour,sixtyfour.ai
');
form.append('config', '{"struct":{"industry":"Industry"},"tier":"low"}');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://api.sixtyfour.ai/v1/bulk-intelligence/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/bulk-intelligence/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/bulk-intelligence/company"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/bulk-intelligence/company")
.header("x-api-key", "<api-key>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/bulk-intelligence/company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"job_id": "job_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"status": "running",
"created_at": "2026-11-03T18:04:12Z",
"next_poll_after": 5
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "This Idempotency-Key is already in use. Use a new key for a new request.",
"error_code": "idempotency_key_reused",
"request_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"retryable": false,
"param": null
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Legacy
Start Bulk Company
deprecated
Starts company intelligence for an uploaded table and returns a job to poll.
Deprecated. Use POST /v1/companies/intelligence instead.
POST
/
v1
/
bulk-intelligence
/
company
Start Bulk Company
curl --request POST \
--url https://api.sixtyfour.ai/v1/bulk-intelligence/company \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form 'file=company_name,domain
Sixtyfour,sixtyfour.ai
' \
--form 'config={"struct":{"industry":"Industry"},"tier":"low"}'import requests
url = "https://api.sixtyfour.ai/v1/bulk-intelligence/company"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', 'company_name,domain
Sixtyfour,sixtyfour.ai
');
form.append('config', '{"struct":{"industry":"Industry"},"tier":"low"}');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://api.sixtyfour.ai/v1/bulk-intelligence/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/bulk-intelligence/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/bulk-intelligence/company"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/bulk-intelligence/company")
.header("x-api-key", "<api-key>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/bulk-intelligence/company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\ncompany_name,domain\r\nSixtyfour,sixtyfour.ai\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"config\"\r\n\r\n{\"struct\":{\"industry\":\"Industry\"},\"tier\":\"low\"}\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"job_id": "job_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"status": "running",
"created_at": "2026-11-03T18:04:12Z",
"next_poll_after": 5
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "This Idempotency-Key is already in use. Use a new key for a new request.",
"error_code": "idempotency_key_reused",
"request_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"retryable": false,
"param": null
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Headers
Remembers a start so retries return the same Job without another charge. Maximum: 255 characters. A key is unique to one action within your organization. The same key with a different body returns 409 idempotency_key_reused. Uploads must match the filename and contents. JSON keys are remembered as long as the Job is available; CSV keys for 24 hours. Without a key, retries start new work.
Required string length:
1 - 255Body
multipart/form-data
Response
Job still running. Poll it.
Was this page helpful?